# Relink Subaccount or Card Contract to Another Parent Account Contract and Client
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/relink-subacct-another-par-acct-con/index.md

## Overview {#overview}

The use case describes how you associate the specified subaccount or card contract with a different parent account contract.

## Sequence diagram {#sequence-diagram}

![Sequence diagram](https://static.developer.mastercard.com/content/mastercard-processing-core/uploads/relink-subacct-another-par-acct-con.png)

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/contracts/{contract_id}/main-contract` endpoint. In the request body, you must pass the required field `accountContractId` of the parent account contract to which the `contract_id` will be relinked in the CMS. Note: The new parent account could be owned by another client. In that case, you must pass the optional field `clientId` in the request body.
2. The API returns the HTTP status `204`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/relink-subacct-to-parent-acct-con/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/main-contract`

